

%define dolphinprivate_major 5
%define libdolphinprivate %mklibname dolphinprivate %{dolphinprivate_major}
%define dolphinvcs_major 5
%define libdolphinvcs %mklibname dolphinvcs %{dolphinvcs_major}
%define dolphin_devel %mklibname dolphin -d

Summary:        File manager for KDE focusing on usability
Name:           dolphin
Version: 		17.12.3
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:		org.kde.dolphin.desktop
Patch0:         kstandarditemlistwidget.cpp.diff
Patch1:         revert-dolphin-sudo-shit.patch
URL:            https://www.kde.org/

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5concurrent-devel

BuildRequires:  kf5-macros
BuildRequires:  kactivities5-devel
BuildRequires:  baloo5-devel
BuildRequires:  kfilemetadata5-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kinit-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kconfig-devel 
BuildRequires:  kio-devel
BuildRequires:  solid-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kparts
BuildRequires:  ktexteditor-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  knotifications-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  kdelibs4support-devel

BuildRequires:  baloo-widgets-devel

Requires:       kio
Requires:       kio-extras
Requires:       kinit

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
     through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files -f dolphin.lang
%_kf5_bindir/dolphin
%_kf5_bindir/servicemenudeinstallation
%_kf5_bindir/servicemenuinstallation
%_sysconfdir/xdg/servicemenu.knsrc
%_kf5_libdir/libkdeinit5_dolphin.so
%_qt5_plugindir/*.so
%_kf5_datadir/applications/org.kde.dolphin.desktop
%_kf5_datadir/config.kcfg/*.kcfg
%_datadir/dbus-1/interfaces/org.freedesktop.FileManager1.xml
%_datadir/dbus-1/services/org.kde.dolphin.FileManager1.service
%_kf5_services/*.desktop
%_kf5_servicetypes/fileviewversioncontrolplugin.desktop
#--------------------------------------------------------------------
%_kf5_libdir/libdolphinprivate.so.%{dolphinprivate_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libdolphinvcs.so.%{dolphinvcs_major}*
#--------------------------------------------------------------------
%_kf5_datadir/metainfo
%_kf5_datadir/locale/fi/LC_SCRIPTS/dolphin/dolphin.js

%package handbook
Summary: %{name} Handbook
Group: Documentation
Requires: %name
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_docdir/HTML

#--------------------------------------------------------------------
%package -n %dolphin_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}


%description -n %dolphin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %dolphin_devel
%_includedir
%_libdir/cmake/DolphinVcs
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export USE_CCACHE=1
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#menu
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/

%find_lang dolphin

%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Sat Apr 22 2017 bb2 <bb2> - 17.04.0-2pclos2017
- revert sudo shit

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Thu Mar 02 2017 bb2 <bb2> - 16.12.2-3pclos2017
- require kinit

* Tue Feb 21 2017 bb <bb> - 16.12.2-2pclos2017
- don't fade on when showing dot files

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Sun Jan 29 2017 bb <bb> - 16.12.1-2pclos2017
- adjust desktop file

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update


